Package org.eclipse.birt.chart.ui.swt.interfaces

# Interface IChartUIHelper

public interface IChartUIHelper
UI helper used to help chart UI customize composites in it.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canCombine(IChartType type, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context)`
Checks if current chart type can combine.
`String`
`getDefaultTitle(org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context)`
Returns current value of default title.
`boolean`
`isDefaultTitleSupported()`
Returns if default title is supported and if it should be visible in title UI section.
`void`
`updateDefaultTitle(org.eclipse.birt.chart.model.Chart cm, Object extendedItem)`
Updates the title in chart model with current default title value.
`boolean`
`useDataSetRow(Object reportItem, String expression)`
Return true if expression uses binding that contains data set row directly or indirectly

## Method Details

### isDefaultTitleSupported

boolean isDefaultTitleSupported()
Returns if default title is supported and if it should be visible in title UI section.

Returns:
  true means visible in title UI section

### getDefaultTitle

String getDefaultTitle(org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context)
Returns current value of default title.

Parameters:
  `context` - wizard context
Returns:
  current value of default title.

### updateDefaultTitle

void updateDefaultTitle(org.eclipse.birt.chart.model.Chart cm, Object extendedItem)
Updates the title in chart model with current default title value.

Parameters:
  `cm` - chart model
  `extendedItem` - extended item object

### canCombine

boolean canCombine(IChartType type, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context)
Checks if current chart type can combine.

Parameters:
  `type` - chart type
  `context` - wizard context
Since:
  3.7

### useDataSetRow

boolean useDataSetRow(Object reportItem, String expression) throws org.eclipse.birt.core.exception.BirtException
Return true if expression uses binding that contains data set row directly or indirectly

Parameters:
  `reportItem` -
  `expression` -
Throws:
  `org.eclipse.birt.core.exception.BirtException`